Update records under individual Ace values using externalKey
1 min
PUT
https://api.b.preview.loyaltyservices.io/api/v3/custom-data/{customDataId}/details
Path Parameters
- customDataIdinteger<int64>requiredDescriptionFormatint64
Query Parameters
- externalKeystringrequiredExampleDescriptionMin Length1Max Length64
- asyncbooleanDescriptionDefaultfalse
Body Parameters
- bodyCustomDataDetailrequiredDescription
- detailIdinteger<int64>ExampleDescriptionFormatint64
- externalKeystringrequiredExampleDescriptionMin Length1Max Length64
- descriptionstringrequiredExampleDescriptionMin Length1Max Length130
- statusstringExampleDescription
- additionalPropertiesmap<string, string>Description
Responses
200
- CustomDataDetail
- detailIdinteger<int64>ExampleDescriptionFormatint64
- externalKeystringrequiredExampleDescriptionMin Length1Max Length64
- descriptionstringrequiredExampleDescriptionMin Length1Max Length130
- statusstringExampleDescription
- additionalPropertiesmap<string, string>Description
- updateDateTimestringExampleDescription
- createUserNamestringDescription
- updateUserNamestringDescription
202
- AsyncTask
- asyncTaskIdinteger<int64>Formatint64
- taskTypeCodestringExampleDescription
- taskCodestringExampleDescription
- requestDatestring<date-time>DescriptionFormatdate-time
- requestDataobjectDescription
- statusCodestringDescription
- responseDatestring<date-time>DescriptionFormatdate-time
- responseDataobjectDescription
- fileNamestringDescription
- lineNumberintegerDescription
- fileDatastringDescription
400
- ErrorResponse
- errorsValidationError[]Description
- codestringDescription
- fieldNamestringDescription
- messagestringDescription
- messageParametersobject[]Description
401
403
500
curl
curl --request PUT \
--url 'https://api.b.preview.loyaltyservices.io/api/v3/custom-data/{customDataId}/details?externalKey=EXT-KEY-001&async=boolean' \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--data '{
"externalKey": "ABC123",
"description": "ABC 123"
}'ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.b.preview.loyaltyservices.io/api/v3/custom-data/{customDataId}/details?externalKey=EXT-KEY-001&async=boolean")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Put.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
request.body = JSON.dump({
"externalKey": "ABC123",
"description": "ABC 123"
})
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.b.preview.loyaltyservices.io/api/v3/custom-data/{customDataId}/details?externalKey=EXT-KEY-001&async=boolean"
payload = json.dumps({
"externalKey": "ABC123",
"description": "ABC 123"
})
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("PUT", url, headers=headers, data=payload)
print(response.text)
java
OkHttpClient client = new OkHttpClient().newBuilder()
.build();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\n \"externalKey\": \"ABC123\",\n \"description\": \"ABC 123\"\n}");
Request request = new Request.Builder()
.url("https://api.b.preview.loyaltyservices.io/api/v3/custom-data/{customDataId}/details?externalKey=EXT-KEY-001&async=boolean")
.method("PUT", body)
.addHeader("accept", "application/json")
.addHeader("content-type", "application/json")
.build();
Response response = client.newCall(request).execute();200
// Success
{
"detailId": 1,
"externalKey": "ABC123",
"description": "ABC 123",
"status": "Active",
"additionalProperties": "",
"updateDateTime": "2026-06-02T00:00:00",
"createUserName": "",
"updateUserName": ""
}202
// Accepted
{
"asyncTaskId": "",
"taskTypeCode": "PlatformAPI",
"taskCode": "enrollMember",
"requestDate": "",
"requestData": {},
"statusCode": "",
"responseDate": "",
"responseData": {},
"fileName": "",
"lineNumber": 0,
"fileData": ""
}400
// Bad request
{
"errors": [
{
"code": "",
"fieldName": "",
"message": "",
"messageParameters": [
{}
]
}
]
}401
// Unauthorized
403
// Forbidden
500
// Internal error